Class Index | File Index

## Classes

- _global_
- M
- M.ActionSheetDialogView
- M.AlertDialogView
- M.Application
- M.ButtonGroupView
- M.ButtonView
- M.ConfirmDialogView
- M.ContainerView
- M.Controller
- M.Cypher
- M.DataProvider
- M.Date
- M.DialogView
- M.Environment
- M.EventDispatcher
- M.FormView
- M.GridView
- M.I18N
- M.ImageView
- M.LabelView
- M.ListItemView
- M.ListView
- M.LoaderView
- M.LocalStorageProvider
- M.Logger
- M.Math
- M.Model
- M.ModelAttribute
- M.ModelRegistry
- M.Object
- M.Observable
- M.PageView
- M.RecordManager
- M.RemoteStorageProvider
- M.Request
- M.ScrollView
- M.SearchBarView
- M.SelectionListItemView
- M.SelectionListView
- M.TabBarItemView
- M.TabBarView
- M.TextFieldView
- M.ToggleView
- M.ToolbarView
- M.Validator
- M.View
- M.ViewManager
- M.WebSqlProvider

# Class M.DialogView

Extends M.View This is the prototype of any dialog view. It is responsible for showing and later hiding a dialog..
Defined in: dialog.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| M.DialogView()

Field Summary
Field Attributes | Field Name and Description
--- | ---
| buttonIds Contains the ids of the button's within a dialog.
| callback The dialog's callback, split in target / action.
| type The type of this object.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| actionSheet(obj) This method creates an actionSheet dialog based on the given customizing parameters and initiates its displaying on the screen.
| alert(obj) This method creates an alert dialog based on the given customizing parameters and initiates its displaying on the screen.
| confirm(obj) This method creates an confirm dialog based on the given customizing parameters and initiates its displaying on the screen.

Class Detail
M.DialogView()
Field Detail
{Array} buttonIds
Contains the ids of the button's within a dialog. They are used to later register a click event to all of these views.

{Object} callback
The dialog's callback, split in target / action. It is called once the dialog's closing transition did finish.

{String} type
The type of this object.
Method Detail
actionSheet(obj)
This method creates an actionSheet dialog based on the given customizing parameters and initiates its displaying on the screen.

Parameters:
{Object} obj
  The customizing parameters of the actionSheet dialog view.

alert(obj)
This method creates an alert dialog based on the given customizing parameters and initiates its displaying on the screen.

Parameters:
{Object} obj
  The customizing parameters of the alert dialog view.

confirm(obj)
This method creates an confirm dialog based on the given customizing parameters and initiates its displaying on the screen.

Parameters:
{Object} obj
  The customizing parameters of the confirm dialog view.

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Dec 08 2010 12:20:36 GMT+0100 (MEZ)